{% extends "admin_base.html" %}


{% block content %}
      




    <div class="row">
 <div class="col-md-6">
<form method="post" action="/units/logins">



  <div class="form-group">


    <h3 for="code">POD Code</h3>

<div class="form-group">
  <label for="sel1">Select a recently active POD </label>
  <select multiple name="pod_id" class="form-control" id="pod_search">
    <option value=""></option>
    {% for u in units %}
     <option value="{{u.key.id()}}">{{u.unit_name}}</option>
    {% endfor %}
   
  
  </select>
</div>
  <span>or search for a POD by POD code e.g. LP|2212 (All orders will be searched for)</span>
    <input type="text" name="code" class="form-control" id="code">
  </div>
 
  <div class="form-group">



<div class="btn-group" data-toggle="buttons">
                    <label class="btn btn-primary active">
                        <input value="LOGIN" type="radio" name="category" id="LOGIN" autocomplete="off" checked> Login
                    </label>
                    <label class="btn btn-primary">
                        <input type="radio" name="category" id="LOGOUT" autocomplete="off" value="LOGOUT"> Logout
                    </label>

                </div>

</div>

 
  <button type="submit" class="btn btn-primary">Submit</button>
</form>
</div>



     <div class="col-md-6">
 <h2 class="">Recently active and PAID units</h2>
  <table class="table display responsive" id=""  cellspacing="0" width="100%">
    <thead>
        <tr>
            
            <th data-field="name" data-sortable="true"> Unit</th>
            <th data-field="name" data-sortable="true"> Activity Category</th>
            <th data-field="name" data-sortable="true"> 
                Date</th>
        </tr>
    </thead>
    <tbody>
        {% for l in logs %}
        <tr>
            
            <td><a href="/units/{{l.item_key.id()}}">{{l.item_key.get().unit_name}}</a>
            </td>
            <td>{{l.category}}
            </td>
            <td>{{(l.created|to_sast).strftime("%H:%M:%S %d %B %Y ")}}
            </td>
        </tr>
        {% endfor %}
    </tbody>
    <tfoot>
        <tr>
        </tr>
    </tfoot>
</table>


</div>
 </div>



    <div class="row">
 <div class="col-md-6">
<form method="post" action="/units/logins">


  <div class="form-group">


    <h3 for="code">Orders</h3>

<div class="form-group">
  <label for="sel1">Select a recently placed and PAID order by reference</label>
  <select multiple name="order_id" class="form-control" id="order_search">
    
    {% for o in orders %}
     <option value="{{o.key.id()}}">{{o.order_ref}}</option>
    {% endfor %}
   
  
  </select>
</div>
  <span>or search for an order by order ref e.g. X332</span>
    <input type="text" name="order_ref" class="form-control" id="order_ref">
  </div>
 
 



  <button type="submit" class="btn btn-primary">Ship order!</button>
</form>
</div>
     <div class="col-md-6">


</div>
 </div>
 




  {% endblock %}

   {% block scripts %}

      <script>



      $( document ).ready(function() {
         $('#pod_search').select2();
         $('#order_search').select2();
        waitForAuth(); 
      
         $('#server-msg-div').slideUp("slow");
     
      });





          function waitForAuth() {
                if(is_auth == false) {//we want it to match
                  console.log("fail")
                  setTimeout(waitForAuth, 50);//wait 50 millisecnds then recheck
                  return;
                }
                console.log("success")


          }


    </script>
        {% endblock %}

